.lds-dual-ring {
    display: block;
    width: 92px;
    height: 92px;
    margin-left: auto;
    margin-right: auto;
}

.lds-dual-ring:after {
    content: " ";
    display: block;
    width: 92px;
    height: 92px;
    margin: 1px;
    border-radius: 50%;
    border: 5px solid #3552a6;
    border-color: #3552a6 transparent #3552a6 transparent;
    animation: lds-dual-ring 1.2s linear infinite;
}

@keyframes lds-dual-ring {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.lds-heart {
    display: block;
    position: relative;
    width: 80px;
    height: 80px;
    transform: rotate(45deg);
    transform-origin: 40px 40px;
    margin-left: auto;
    margin-right: auto;
}
.lds-heart div {
    position: absolute;
    width: 32px;
    height: 32px;
    background: #3552a6;
    animation: lds-heart 1.2s infinite cubic-bezier(0.215, 0.61, 0.355, 1);
}
.lds-heart div:after,
.lds-heart div:before {
    content: " ";
    position: absolute;
    display: block;
    width: 32px;
    height: 32px;
    background: #3552a6;
}
.lds-heart div:before {
    left: -24px;
    border-radius: 50% 0 0 50%;
}
.lds-heart div:after {
    top: -24px;
    border-radius: 50% 50% 0 0;
}
@keyframes lds-heart {
    0% {
        transform: scale(0.95);
    }
    5% {
        transform: scale(1.1);
    }
    39% {
        transform: scale(0.85);
    }
    45% {
        transform: scale(1);
    }
    60% {
        transform: scale(0.95);
    }
    100% {
        transform: scale(0.9);
    }
}

.darken {
    position: fixed;
    display: none;
    width: 100%;
    height: 100%;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.7);
    cursor: wait;
    z-index: 99999999;
}

.darken-top {
    display: block;
    height: 50%;
    width: 100%;
    top: 0;
    position: fixed;
}

.darken-bottom {
    display: block;
    height: 44%;
    width: 100%;
    bottom: 0;
    position: fixed;
}

.darken-text {
    font-family: 'Jost', sans-serif;
    font-weight: 900;
    color: #3552a6;
    z-index: 999999991;
    font-size: 400%;
    display: block;
    line-height: normal;
    margin-right: auto;
    margin-left: auto;
    bottom: 0;
    text-align: center;
    position: absolute;
    width: 100%;
}

.darken-text-small {
    font-size: 200% !important;
    top:92px;
}